' ========================================================================================
' GdipGetImageRawFormat
' ========================================================================================

' ========================================================================================
' The following example creates an Image object based on a JPEG file. The code obtains and
' displays the GUID that identifies the format of the image. Then the code verifies that
' the image format is JPEG.
' ========================================================================================

' SED_PBCC
#COMPILE EXE
#DIM ALL
#INCLUDE "GDIPLUS.INC"

' ========================================================================================
' Main
' ========================================================================================
FUNCTION PBMAIN

   LOCAL hStatus AS LONG
   LOCAL token AS DWORD
   LOCAL StartupInput AS GdiplusStartupInput
   LOCAL pImage AS DWORD
   LOCAL strFileName AS STRING
   LOCAL pFormat AS GUID

   ' // Initialize GDI+
   StartupInput.GdiplusVersion = 1
   hStatus = GdiplusStartup(token, StartupInput, BYVAL %NULL)
   IF hStatus THEN
      PRINT "Error initializing GDI+"
      EXIT FUNCTION
   END IF

   strFileName = UCODE$("climber.jpg")
   hStatus = GdipLoadImageFromFile(STRPTR(strFileName), pImage)

   ' // Get the GUID that identifies the image format.
   hStatus = GdipGetImageRawFormat(pImage, pFormat)
   PRINT "The guid is " & GUIDTXT$(pFormat)

   ' // Was the GUID that identifies the JPEG format retrieved?
   IF pFormat = $ImageFormatJPEG THEN PRINT "The format is JPEG."

   ' // Cleanup
   IF pImage THEN GdipDisposeImage(pImage)

   ' // Shutdown GDI+
   GdiplusShutdown token

   WAITKEY$

END FUNCTION
' ========================================================================================
